aboutsummaryrefslogtreecommitdiffhomepage
path: root/test
diff options
context:
space:
mode:
authorGravatar David Bremner <david@tethera.net>2014-10-03 22:22:09 +0200
committerGravatar David Bremner <david@tethera.net>2014-10-05 07:24:56 +0200
commit5916c4634c7f36a42b59c261b4fb76212fbc4c96 (patch)
tree27aba1674721c7b2e37b726f3b516f45441f3377 /test
parent7f2cb3be4e8a48f351e1bed75e2a4b9d80c47431 (diff)
test: check for debug symbols in notmuch
In the future, tests may rely on debug symbols being present in notmuch, so we plan to switch the default flags. The main purpose of this test is to help explain the perhaps mysterious failures of other tests which rely on symbols being present.
Diffstat (limited to 'test')
-rwxr-xr-xtest/T000-basic.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/T000-basic.sh b/test/T000-basic.sh
index ebbb6d2e..bf08f3e6 100755
--- a/test/T000-basic.sh
+++ b/test/T000-basic.sh
@@ -91,4 +91,9 @@ test_expect_equal \
"$(dirname ${TEST_DIRECTORY})" \
"$(echo $PATH|cut -f1 -d: | sed -e 's,/test/valgrind/bin$,,')"
+test_begin_subtest 'notmuch is compiled with debugging symbols'
+test_subtest_known_broken
+readelf --sections $(which notmuch) | grep \.debug
+test_expect_equal 0 $?
+
test_done